Bug Hunting Session
Bug 68220 - EDITING: BUG: calc crashes on spell check
Summary: EDITING: BUG: calc crashes on spell check
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: Other All
: highest blocker
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.1.1
Keywords:
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-08-17 14:41 UTC by Gitsy
Modified: 2013-12-28 14:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (Ubuntu 13.04) (17.46 KB, text/plain)
2013-08-18 15:00 UTC, Maxim Monastirsky
Details
tried under Windows7..... (88.44 KB, image/jpeg)
2013-08-19 19:36 UTC, Luuk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gitsy 2013-08-17 14:41:03 UTC
Problem description: calc crashes on spell check

Operating system: Windows 7 & Ubuntu

Steps to reproduce:
1. open a new calc sheet
2. type anything with wrong spelling
3. press F7 for spell check
4. press "correct" button

Current behavior: libreoffice crashes

Expected behavior:

              
Operating System: Ubuntu
Version: 4.1.0.4 release
Comment 1 Maxim Monastirsky 2013-08-18 14:59:39 UTC
Reproducible under both Windows 7 & Ubuntu 13.04, and only if the spelling error isn't located in A1 cell.
Comment 2 Maxim Monastirsky 2013-08-18 15:00:40 UTC
Created attachment 84202 [details]
backtrace (Ubuntu 13.04)
Comment 3 Dave Barton 2013-08-18 19:22:28 UTC
Same for Version: 4.1.1.1
Build ID: a990db030b8125868501634ff662be1d89d0868
on Windows 7

Can confirm Maxim's comment that crash only occurs if the spelling error isn't located in A1 cell.
Comment 4 Michael 2013-08-19 01:12:07 UTC
This also crashes Libreoffice 4.1.0.4 under Debian 7.1

Here is what happened when running soffice in gdb:

Program received signal SIGSEGV, Segmentation fault.
0x00007fffd1d55437 in (anonymous namespace)::lclCloneCell(ScBaseCell const&, ScDocument&, ScAddress const&, int) ()
   from /opt/libreoffice4.1/program/../program/libsclo.so
Comment 5 Caolán McNamara 2013-08-19 15:16:19 UTC
https://gerrit.libreoffice.org/#/c/5515/ I think is the right fix
Comment 6 Commit Notification 2013-08-19 15:26:00 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48cfdaa4fa453af03d18832e3765ffd65a5e107f&h=libreoffice-4-1

Resolves: fdo#68220 wrong index into source table


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Luuk 2013-08-19 19:36:22 UTC
Created attachment 84290 [details]
tried under Windows7.....

.... spell check work OK for /me under Windows 7, LO version 4.1.0.4
Comment 8 Commit Notification 2013-08-19 20:33:57 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47ad11491b4a9dcaefd5f9184e34814d0f7520f9&h=libreoffice-4-1-1

Resolves: fdo#68220 wrong index into source table


It will be available already in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Gitsy 2013-12-27 17:22:22 UTC
The bug reappeared in Version: 4.2.0.1
Comment 10 Cor Nouws 2013-12-27 21:57:35 UTC
indeed, crashes for me too in 4.2.0.1
Comment 11 Kohei Yoshida 2013-12-27 23:23:42 UTC
Please file a new bug for this.  4.1 and 4.2 have enough differences that we can't assume it's the same bug.
Comment 12 Gitsy 2013-12-28 10:30:40 UTC
Hi Kohei Yoshida,

filed a new bug for this 
https://bugs.freedesktop.org/show_bug.cgi?id=73021

Thanks